System 4.0.0.0 System.Object System.IEquatable<System.Runtime.Versioning.FrameworkName> To be added.

Represents the name of a version of the .NET Framework.

- Constructor
  4.0.0.0

  The constructor parses a string in the following format.

  identifier, Version=versionNumber[, Profile=profileName]

  Components in square brackets are optional. The following table describes each component.

  Component

  Description

  identifier

  An arbitrary string that identifies this instance.

  versionNumber

  A string that represents the version of the .NET Framework, in the form [v]major.minor[.build.revision], where "v" can be either uppercase or lowercase, and the brackets denote optional elements of a version number.

  profileName

  An arbitrary string that represents the profile of the .NET Framework version. Typically, it is used to denote some subset of the .NET Framework, such as the .NET Compact Framework or Silverlight.

  If both versionNumber and profileName are present, they can appear in any order after identifier. These strings are defined by the "Version" and "Profile" keywords, which are not case-sensitive.

  The values of the identifier, versionNumber, and profileName components define the values of this object's properties as follows:

  Any leading or trailing white space in the identifier component is removed and the resulting string is assigned to the property.

  Any leading or trailing white space and the initial "v" or "V", if present, are removed from the . The returned string is then passed to the constructor, and the resulting object is assigned to the property.

  Any leading or trailing white space in the component is removed and the resulting string is assigned to the property.

  The following are examples of valid strings that can be passed to the constructor:

  .NET Framework, Version=4.0

  .NETFramework, Version=4.0

  .NET Framework, Version=2.0, Profile=Compact

  .NET Framework, Version=v4.0, Profile=Compact

  .NET Framework, Profile=Full, Version=2.0.0

  Initializes a new instance of the class from a string that contains information about a version of the .NET Framework.

  A string that contains .NET Framework version information.
- Constructor
  4.0.0.0

  The class requires that a object include at least a major and minor version number.

  Initializes a new instance of the class from a string and a object that identify a .NET Framework version.

  A string that identifies a .NET Framework version.
  An object that contains .NET Framework version information.
- Constructor
  4.0.0.0

  The class requires that a object include at least a major and minor version number.

  Initializes a new instance of the class from a string, a object that identifies a .NET Framework version, and a profile name.

  A string that identifies a .NET Framework version.
  An object that contains .NET Framework version information.
  A profile name.
- Method
  4.0.0.0
  System.Boolean ``

  The method converts to a object and calls the overload to test for equality. If the conversion does not succeed or if is null, the method returns false.

  Returns a value that indicates whether this instance represents the same .NET Framework version as a specified object.

  true if every component of the current object matches the corresponding component of ; otherwise, false.

  The object to compare to the current instance.
- Method
  4.0.0.0
  System.Boolean ``

  The method tests for equality by returning the result of the following comparisons:

  An ordinal comparison of the property values of the current instance and .

  An ordinal comparison of the property values of the current instance and .

  A comparison of the version properties by calling the method.

  Returns a value that indicates whether this instance represents the same .NET Framework version as a specified instance.

  true if every component of the current object matches the corresponding component of ; otherwise, false.

  The object to compare to the current instance.
- Property
  4.0.0.0
  System.String To be added.

  The string returned by the property has the following format:

  identifier, Version=version[, Profile=profile]

  where identifier corresponds to the property, is equivalent to calling on the value of the property, and corresponds to the property. If a profile has not been assigned to the object, the profile component is not included in the string.

  The value of the property is identical to the string returned by the method.

  Gets the full name of this object.

- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for the object.

  A 32-bit signed integer that represents the hash code of this instance.

- Property
  4.0.0.0
  System.String To be added.

  The value of the read-only property is set in the class constructor.

  Gets the identifier of this object.

- Method
  4.0.0.0
  System.Boolean `` ``

  The method defines the operation of the equality operator for objects.

  Languages that do not support custom operators can call the method instead.

  Returns a value that indicates whether two objects represent the same .NET Framework version.

  true if the and parameters represent the same .NET Framework version; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  4.0.0.0
  System.Boolean `` ``

  The method defines the operation of the inequality operator for objects.

  Languages that do not support custom operators can test for inequality by calling the method and reversing its value.

  Returns a value that indicates whether two objects represent different .NET Framework versions.

  true if the and parameters represent different .NET Framework versions; otherwise, false.

  The first object to compare. The second object to compare.
- Property
  4.0.0.0
  System.String To be added.

  The value of the read-only property is set in the class constructor.

  Gets the profile name of this object.

- Method
  4.0.0.0
  System.String

  The string returned by the method has the following format:

  identifier, Version=version[, Profile=profile]

  where identifier corresponds to the property, is equivalent to calling on the value of the property, and corresponds to the property. If a profile has not been assigned to the object, the profile component is not included in the returned string.

  The value returned by the method is identical to the value of the property.

  Returns the string representation of this object.

  A string that represents this object.

- Property
  4.0.0.0
  System.Version To be added.

  The value of the read-only property is set in the class constructor.

  Gets the version of this object.